Printago API
PATCH /v1/materials/{id}

Update material

Update a material type's properties

Requires: material.edit

Path Parameters

id required
string
Material ID

Request Body

Fields to update

UpdateMaterialRequest
brandoptional
string
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
filamentSystemProfileIdoptional
number
filamentUserProfileIdoptional
string
identifieroptional
string
nameoptional
string
starredoptional
boolean
tagsoptional
string[]

Example Request

application/json
{
  "name": "string",
  "brand": "string",
  "tags": [
    "string"
  ],
  "starred": true,
  "customMetadata": {}
}

Response Schema

Material
brandrequired
string
createdAtrequired
string
format: date-time
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
externalIdoptional
string
filamentSystemProfileIdrequired
number
filamentUserProfileIdrequired
string
idrequired
string
pattern: ^[a-z0-9]{24}$
identifieroptional
string
namerequired
string
pricePer1000goptional
number
sourceoptional
string
starredoptional
boolean
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
tagsrequired
string[]
typerequired
string
updatedAtrequired
string
format: date-time

Example Response

200 OK — application/json
{
  "name": "string",
  "brand": "string",
  "type": "string",
  "tags": [
    "string"
  ],
  "starred": true,
  "customMetadata": {},
  "id": "string",
  "storeId": "string",
  "createdAt": "2026-09-09T20:31:46.652Z",
  "updatedAt": "2026-09-09T20:31:46.652Z"
}